Bug 10318 - show email on patron search results
Summary: show email on patron search results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Ketan Kulkarni
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 16894
  Show dependency treegraph
 
Reported: 2013-05-23 14:31 UTC by Nicole C. Engard
Modified: 2016-07-11 13:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Template update (2.48 KB, patch)
2013-10-09 14:44 UTC, Ketan Kulkarni
Details | Diff | Splinter Review
now showing primary email address of a patron in the patron search results page (2.62 KB, patch)
2014-01-07 18:24 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
[PASSED QA] Show primary email in patron search results (2.78 KB, patch)
2014-01-12 21:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-05-23 14:31:45 UTC
On the patron search results page it would be great to see the email address. It could go in the name column with other contact info.

Nicole
Comment 1 Ketan Kulkarni 2013-10-09 14:44:05 UTC Comment hidden (obsolete)
Comment 2 I'm just a bot 2013-10-30 07:01:11 UTC
Patch applied cleanly, go forth and signoff
Comment 3 sandboxes@biblibre.com 2014-01-07 18:24:08 UTC
Patch tested with a sandbox, by Melissa Lefebvre <melissa@bywatersolutions.com>
Comment 4 sandboxes@biblibre.com 2014-01-07 18:24:27 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2014-01-12 21:42:28 UTC
Created attachment 24215 [details] [review]
[PASSED QA] Show primary email in patron search results

Now showing primary email address of a patron in the patron search results page

added mailto link to the email address

http://bugs.koha-community.org/show_bug.cgi?id=10318

Signed-off-by: Melissa Lefebvre <melissa@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described, template only change.
Comment 6 Katrin Fischer 2014-01-12 21:43:11 UTC
This works nicely. A little improvement would be to avoid the additional blank line that is added, when a patron has an email, but no postal address.
Comment 7 Galen Charlton 2014-01-13 22:00:39 UTC
Pushed to master.  Thanks, Ketan!